import java.sql.*;
import java.io.*;

class JdbcQueryNonPrep1 {
    
    // subname deve essere sostituito con l'identificatore ODBC creato
    
    static String Con_URL = "jdbc:odbc:gruppo52";
    
    public static void main(String args []) {
        Connection con = null;
        try{
            
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
            con=DriverManager.getConnection(Con_URL,"gruppo52","gruppo52");
            System.out.println("Connessione Aperta");
            
            Statement stmt = con.createStatement();
            ResultSet rs=stmt.executeQuery("select count(*) as cnt from studenti");
            if (rs.next()) System.out.println("Ho trovato "+rs.getInt("cnt")+" studenti");
            
            if (con!=null) con.close();
            System.out.println("Connessione Chiusa");
        } catch(java.lang.ClassNotFoundException e) {
            System.err.print("ClassNotFoundException: ");
            System.err.println(e.getMessage());
        } catch (SQLException e1) {
            try {
                if (con != null) con.rollback();
            } catch (SQLException e) {
                while (e!=null) {
                    System.out.println("SQLState: " + e.getSQLState());
                    System.out.println("    Code: " + e.getErrorCode());
                    System.out.println(" Message: " + e.getMessage());
                    e = e.getNextException();
                }
            }
        }
    }
}
