CREATE PROCEDURE Budget @importo decimal(10,2), @citta varchar(20) AS
DECLARE @nome varchar(20), @cognome varchar(20), @saldo decimal(10,2)
DECLARE @media decimal(10,2)

SELECT @media =AVG(saldo) 
FROM ContiCorrenti 
WHERE filiale IN 
      (SELECT codice 
       FROM Filiali
       WHERE citta = @citta) 

print @media 
print @importo


IF @importo < @media
	BEGIN
		DECLARE p CURSOR FOR SELECT Cognome,Nome,saldo
           	FROM Persone, ContiCorrenti
           	WHERE CodiceFiscale = titolare
                and saldo > @importo and filiale IN 
                       (SELECT codice 
                        FROM Filiali
                        WHERE citta = @citta)

		open p 
		fetch next from p into @nome, @cognome, @saldo
		while (@@FETCH_STATUS=0)
		BEGIN
			print 'Nome: '+ @nome+' Cognome: '+ @cognome+' Saldo: '+ CAST(@saldo AS varchar(20))
			FETCH NEXT FROM p INTO @Cognome, @nome, @saldo
		END
		close p
		deallocate p
	END
ELSE
	UPDATE conticorrenti
		set saldo = saldo + 50
		where filiale in (select codice from filiali where citta=@citta )
		

drop procedure Budget

exec Budget 1000, Genova 



insert into ContiCorrenti values (1,'bdgcgdwer234hd89', 1000, 1);

insert into ContiCorrenti values (3,'bdgcgdwer234hd89', 3000, 1);

insert into ContiCorrenti values (1,'bdgcgdwer234hd89', 1000, 2);

insert into ContiCorrenti values (5,'mdld345er234hd89', 1000, 1);

insert into ContiCorrenti values (7,'ndjf0wweos9046hd', 1000, 1);

insert into ContiCorrenti values (3,'ndjfyrieos9046hd', 1000, 2);


drop table conticorrenti

create table conticorrenti (
conto int check (conto %2 = 1),
titolare varchar(30),
saldo decimal(10,2) NOT NULL,
filiale int foreign key references filiali(codice)
	ON DELETE NO ACTION
	ON UPDATE CASCADE,
primary key (conto,filiale),
)
SELECT Cognome,Nome,saldo
           	FROM Persone, ContiCorrenti
           	WHERE CodiceFiscale = titolare
                and saldo <= 3000 and filiale IN 
                       (SELECT codice 
                        FROM Filiali
                        WHERE citta = 'Milano')