CREATE TABLE Persone(CodiceFiscale varchar(16) PRIMARY KEY,
                     Cognome varchar(30),
		     Nome varchar(30),
		     DataDiNascita datetime)
 GO 
INSERT INTO Persone VALUES('bdgcgdwer234hd89','Picasso', 'Maurizio','01/07/1975')
 GO 
INSERT INTO Persone VALUES('ndhcgdwer234h459','Ferrante', 'Angela','01/05/1934')
 GO 
INSERT INTO Persone VALUES('mdldoeeer234hd89','Costa', 'Alberto','12/07/1945')
 GO 
INSERT INTO Persone VALUES('ndjfyrieos9046hd','Bacigalupo', 'Maria','12/09/1969')
 GO 
INSERT INTO Persone VALUES('mdld345er234hd89','Parodi', 'Alberto','12/07/1981')
 GO 
INSERT INTO Persone VALUES('ndjf0wweos9046hd','Bottini', 'Maria','12/09/1928')
 GO 
CREATE TABLE Filiali(Codice int PRIMARY KEY,Citta varchar(30),Direttore varchar(16))
 GO 
INSERT INTO Filiali VALUES(1,'Genova', 'bdgcgdwer234hd89')
 GO 
INSERT INTO Filiali VALUES(2,'Milano', 'mdld345er234hd89')
 GO 
CREATE TABLE Dipendenti(CodiceFiscale varchar(16),
                        Filiale int,
			Qualifica varchar(30)
			PRIMARY KEY (CodiceFiscale))
 GO 
INSERT INTO Dipendenti VALUES('bdgcgdwer234hd89',1,'Capo Ufficio Tecnico')
 GO 
INSERT INTO Dipendenti VALUES('mdld345er234hd89',2,'Capo Ufficio Commerciale')
 GO 
INSERT INTO Dipendenti VALUES('ndjf0wweos9046hd',1,'Impiegato')
 GO 
INSERT INTO Dipendenti VALUES('ndhcgdwer234h459',1,'Impiegato')
 GO 
INSERT INTO Dipendenti VALUES('mdldoeeer234hd89',2,'Impiegato')
 GO 
INSERT INTO Dipendenti VALUES('ndjfyrieos9046hd',2,'Impiegato')
 GO 
ALTER TABLE Filiali add FOREIGN KEY(Direttore) 
                        REFERENCES Dipendenti(CodiceFiscale) 
			ON DELETE NO ACTION 
			ON UPDATE NO ACTION
 GO 
ALTER TABLE Dipendenti add FOREIGN KEY(CodiceFiscale) 
                       REFERENCES Persone(CodiceFiscale) 
		       ON DELETE CASCADE 
		       ON UPDATE CASCADE
 GO 
ALTER TABLE Dipendenti add FOREIGN KEY(Filiale)  
                       REFERENCES Filiali(Codice) 
		       ON DELETE CASCADE 
		       ON UPDATE CASCADE
 GO 